﻿var appStatusModule = app.registerModule('status');
(function () {
    var module = appStatusModule;
    module.dependencies = ['ngResource', 'ui.knob', 'ui.bootstrap'];
    module.files = [
        'WebApp/status.css',
        'WebApp/services/statusService.js',
        'WebApp/status/statusCtrl.js',
        'WebApp/history/historyCtrl.js'
    ];
    module.view = 'WebApp/status/status.cshtml';
    module.controller = 'app.status.ctrl';
    module.routes = [
        new Route('history', 'WebApp/history/history.cshtml', 'app.status.historyCtrl')
    ];
    var menu = app.getMenu();
    var section = menu.getSection('Menü', 1);
    section.addEntry({
        name: 'Status',
        route: '#/status',
        icon: 'glyphicon glyphicon-dashboard',
        entries: [{
            name: 'History',
            route: '#/status/history',
            icon: 'glyphicon glyphicon-stats'
        }]
    });
})();

